Bug 75712 - php4 with apache 2, getenv(ANYTHING) returns blank string
php4 with apache 2, getenv(ANYTHING) returns blank string
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 09:07 EDT by Thais Smith
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-02 17:31:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thais Smith 2002-10-11 09:07:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
See http://bugs.php.net/bug.php?id=17662

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make php page containing <?php getenv(REQUEST_METHOD) ?>
2. Load it
3. See it no workee
	

Additional info:

This is apparently fixed in CVS. It tends to break rather a log of PHP though :-/
Comment 1 Carl T. Miller 2002-11-02 17:31:52 EST
I don't know if this is any help, but I found that by rewriting a line I was
able to make a work-around.

before:
$host=gethostbyaddr(getenv("REMOTE_ADDR"));

after:
$host=gethostbyaddr($_SERVER ['REMOTE_ADDR']);
Comment 2 Joe Orton 2002-12-04 03:46:26 EST
getenv() is fixed in php-4.2.2-10 - thanks for the report.
Comment 3 Mark J. Cox (Product Security) 2003-02-05 03:40:18 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-017.html

Note You need to log in before you can comment on or make changes to this bug.